#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <GetCompoI2.h>
#include <SetLCD3Char.h>
#include <SetTenthS.h>

int main(void)
{
    X4RCU_Init();
    unsigned char var0 = 0;
    SetLCDBack(1);
    while (1)
    {
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 1);
        SetLCD3Char(0, 0, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 2);
        SetLCD3Char(40, 0, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 3);
        SetLCD3Char(80, 0, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 4);
        SetLCD3Char(120, 0, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 5);
        SetLCD3Char(160, 0, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 6);
        SetLCD3Char(0, 16, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 7);
        SetLCD3Char(40, 16, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 8);
        SetLCD3Char(0, 32, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 9);
        SetLCD3Char(40, 32, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 10);
        SetLCD3Char(0, 48, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 11);
        SetLCD3Char(40, 48, var0, YELLOW, BLACK);
        var0 = GetCompoI2(_COMPOUNDEYE2_1_, 12);
        SetLCD3Char(0, 64, var0, YELLOW, BLACK);
        SetTenthS(1);
    }
    while(1);
}

